Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 764)
@@ -5121,17 +4563,11 @@
   }
 #endif
-#if ETRIKHU_MERGE_REUSE_F0093
-  }
-#endif
-
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
+  }
+#endif
+
+#if H_3D
   iCount += numA0B2;
 #else
-#if H_3D
-  ///////////////////////////////////
-  //////// LEFT BOTTOM (A0) ////////
-  ///////////////////////////////////
-#endif
-
   //left bottom
   UInt uiLeftBottomPartIdx = 0;
@@ -5152,26 +4588,4 @@
       pcCULeftBottom->getMvField( pcCULeftBottom, uiLeftBottomPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_NBDV
-    pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-    pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-    if (pcCULeftBottom->getVSPFlag(uiLeftBottomPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-    {
-      vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCULeftBottom,uiLeftBottomPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-    }
-#endif
     if ( mrgCandIdx == iCount )
     {
@@ -5185,9 +4599,4 @@
     return;
   }
-#if H_3D
-  ///////////////////////////////////
-  //////// LEFT ABOVE (B2) ////////
-  ///////////////////////////////////
-#endif
 
   // above left 
@@ -5212,39 +4621,4 @@
         pcCUAboveLeft->getMvField( pcCUAboveLeft, uiAboveLeftPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
       }
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-      if ( ( ( getAddr() - pcCUAboveLeft->getAddr() ) == 0) && (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#else
-      if (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#endif
-      {
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCUAboveLeft,uiAboveLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
       if ( mrgCandIdx == iCount )
       {
@@ -5266,13 +4640,7 @@
   //////// SHIFTED IV (IvMCShift + IvDCShift) ////////
   ////////////////////////////////////////////////////
-#if ETRIKHU_MERGE_REUSE_F0093
   if(  ivMvPredFlag && iCount < getSlice()->getMaxNumMergeCand() ) 
   {
     if(xAddIvMRGCand( mrgCandIdx,  iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, ivCandDir, ivCandMv, ivCandRefIdx, posIvDC, vspFlag, iCount3DV, inheritedVSPDisInfo ) )
-#else
-  if(  ivMvPredFlag  ) 
-  {
-    if(xAddIvMRGCand( mrgCandIdx,  iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, ivCandDir, ivCandMv, ivCandRefIdx, posIvDC, vspFlag))
-#endif
     {
       return;
@@ -5286,5 +4654,5 @@
 #endif
 
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
   if (iCountHEVC + iCount3DV > getSlice()->getMaxNumMergeCand())
   {
@@ -5297,9 +4665,4 @@
   numValidMergeCand = iCount;
 #else
-#if H_3D
-  /////////////////////////////////
-  //////// Collocate (COL) ////////
-  /////////////////////////////////
-#endif
   if ( getSlice()->getEnableTMVPFlag())
   {
@@ -5366,7 +4729,4 @@
     if ( getSlice()->isInterB() )
     {
-#if H_3D_TMVP
-      iRefIdx = 0;
-#endif
       bExistMV = uiLCUIdx >= 0 && xGetColMVP( REF_PIC_LIST_1, uiLCUIdx, uiAbsPartAddr, cColMv, iRefIdx);
       if( bExistMV == false )
@@ -5385,8 +4745,4 @@
       puhInterDirNeighbours[uiArrayAddr] = dir;
       abCandIsInter[uiArrayAddr] = true;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
       if ( mrgCandIdx == iCount )
       {
@@ -5406,31 +4762,11 @@
   if ( getSlice()->isInterB())
   {
-#if H_3D_IV_MERGE
-    UInt uiPriorityList0[20] = {0 , 1, 0, 2, 1, 2, 0, 3, 1, 3, 2, 3,    0, 4, 1, 4, 2, 4, 3, 4 };
-    UInt uiPriorityList1[20] = {1 , 0, 2, 0, 2, 1, 3, 0, 3, 1, 3, 2,    4, 0, 4, 1, 4, 2, 4, 3 };
-#else
     UInt uiPriorityList0[12] = {0 , 1, 0, 2, 1, 2, 0, 3, 1, 3, 2, 3};
     UInt uiPriorityList1[12] = {1 , 0, 2, 0, 2, 1, 3, 0, 3, 1, 3, 2};
-#endif
 
     for (Int idx=0; idx<uiCutoff*(uiCutoff-1) && uiArrayAddr!= getSlice()->getMaxNumMergeCand(); idx++)
     {
       Int i = uiPriorityList0[idx]; Int j = uiPriorityList1[idx];
-#if H_3D_VSP
-      Bool bValid = true;
-      if ( vspFlag[i] == 1 || vspFlag[j] == 1 )
-      {
-        bValid = false;
-      }
-      if( !m_pcSlice->getVPS()->getViewSynthesisPredFlag( m_pcSlice->getLayerIdInVps() ) )
-      {
-        assert(bValid == true);
-      }
-#endif
-#if H_3D_VSP
-      if (abCandIsInter[i] && abCandIsInter[j] && (puhInterDirNeighbours[i]&0x1) && (puhInterDirNeighbours[j]&0x2) && bValid)
-#else
       if (abCandIsInter[i] && abCandIsInter[j]&& (puhInterDirNeighbours[i]&0x1)&&(puhInterDirNeighbours[j]&0x2))
-#endif
       {
         abCandIsInter[uiArrayAddr] = true;
@@ -5488,8 +4824,4 @@
 #endif
 }
-
-
-
-
 #else
 
@@ -5503,38 +4835,16 @@
  */
 Void TComDataCU::getInterMergeCandidates( UInt uiAbsPartIdx, UInt uiPUIdx, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours
-#if H_3D_VSP
-      , Int* vspFlag
-      , InheritedVSPDisInfo*  inheritedVSPDisInfo
-#endif
       , Int& numValidMergeCand, Int mrgCandIdx
 )
 {
   UInt uiAbsPartAddr = m_uiAbsIdxInLCU + uiAbsPartIdx;
-#if H_3D_IV_MERGE
-  ////////////////////////////
-  //////// INIT LISTS ////////
-  ////////////////////////////
-  TComMv cZeroMv;
-  Bool abCandIsInter[ MRG_MAX_NUM_CANDS_MEM ];
-#else
   Bool abCandIsInter[ MRG_MAX_NUM_CANDS ];
-#endif
   for( UInt ui = 0; ui < getSlice()->getMaxNumMergeCand(); ++ui )
   {
     abCandIsInter[ui] = false;
-#if H_3D_IV_MERGE
-    pcMvFieldNeighbours[ ( ui << 1 )     ].setMvField(cZeroMv, NOT_VALID);
-    pcMvFieldNeighbours[ ( ui << 1 ) + 1 ].setMvField(cZeroMv, NOT_VALID);
-#else
     pcMvFieldNeighbours[ ( ui << 1 )     ].setRefIdx(NOT_VALID);
     pcMvFieldNeighbours[ ( ui << 1 ) + 1 ].setRefIdx(NOT_VALID);
-#endif
   }
   numValidMergeCand = getSlice()->getMaxNumMergeCand();
-#if H_3D
-  //////////////////////////////////
-  //////// DERIVE LOCATIONS ////////
-  //////////////////////////////////
-#endif
   // compute the location of the current PU
   Int xP, yP, nPSW, nPSH;
@@ -5547,197 +4857,5 @@
   deriveLeftRightTopIdxGeneral( uiAbsPartIdx, uiPUIdx, uiPartIdxLT, uiPartIdxRT );
   deriveLeftBottomIdxGeneral  ( uiAbsPartIdx, uiPUIdx, uiPartIdxLB );
-#if SEC_MPI_ENABLING_MERGE_F0150
-  Bool bMPIFlag   = getSlice()->getVPS()->getMPIFlag( getSlice()->getLayerIdInVps() );
-#endif
-#if QC_DEPTH_IV_MRG_F0125
-  Bool bIsDepth = getSlice()->getIsDepth();
-  Bool bDepthIPMCAvai = false;
-#endif 
-
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-  Bool bICFlag = getICFlag(uiAbsPartIdx);
-#endif
-#if H_3D_ARP
-  Bool bARPFlag = getARPW(uiAbsPartIdx)>0 ? true : false;
-#endif
-#endif
-
-#if H_3D_IV_MERGE
-  
-  /////////////////////////////////////////////
-  //////// TEXTURE MERGE CANDIDATE (T) ////////
-  /////////////////////////////////////////////
-
-#if SEC_MPI_ENABLING_MERGE_F0150
-  if( bMPIFlag)
-#else
-  if( m_pcSlice->getIsDepth())
-#endif
-  {
-    UInt uiPartIdxCenter;
-    xDeriveCenterIdx( uiPUIdx, uiPartIdxCenter );    
-#if H_3D_FCO
-    TComPic * pcTexturePic = m_pcSlice->getTexturePic();
-    TComDataCU *pcTextureCU = 0;
-    if ( pcTexturePic )
-        pcTextureCU = pcTexturePic->getCU( getAddr() );
-#else
-    TComDataCU *pcTextureCU = m_pcSlice->getTexturePic()->getCU( getAddr() );
-#endif
- 
-#if H_3D_FCO
-    if ( pcTextureCU && pcTexturePic->getReconMark() && !pcTextureCU->isIntra( uiPartIdxCenter ) )
-#else
-    if ( pcTextureCU && !pcTextureCU->isIntra( uiPartIdxCenter ) )
-#endif
-    {
-      pcTextureCU->getMvField( pcTextureCU, uiPartIdxCenter, REF_PIC_LIST_0, pcMvFieldNeighbours[iCount<<1] );
-      Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_0, pcMvFieldNeighbours[iCount<<1].getRefIdx() );
-      if( (pcMvFieldNeighbours[iCount<<1].getRefIdx()>=0) && ( iValidDepRef >= 0 ) )
-      {
-        TComMv cMvPred = pcMvFieldNeighbours[iCount<<1].getMv();
-        const TComMv cAdd( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-        cMvPred+=cAdd;
-        cMvPred>>=2;
-        clipMv(cMvPred);
-        pcMvFieldNeighbours[iCount<<1].setMvField(cMvPred,iValidDepRef);
-      }
-
-      if ( getSlice()->isInterB() )
-      {
-        pcTextureCU->getMvField( pcTextureCU, uiPartIdxCenter, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
-        iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx() );
-        if( (pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx()>=0) && ( iValidDepRef >= 0) )
-        {
-          TComMv cMvPred = pcMvFieldNeighbours[(iCount<<1)+1].getMv();
-          const TComMv cAdd( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-          cMvPred+=cAdd;
-          cMvPred>>=2;
-          clipMv(cMvPred);
-          pcMvFieldNeighbours[(iCount<<1)+1].setMvField(cMvPred,iValidDepRef);
-        }
-      }
-
-      puhInterDirNeighbours[iCount] = (pcMvFieldNeighbours[iCount<<1].getRefIdx()>=0)?1:0;
-      puhInterDirNeighbours[iCount] += (pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx()>=0)?2:0;
-
-      if( puhInterDirNeighbours[iCount] != 0 )
-      {
-        abCandIsInter[iCount] = true;
-        if ( mrgCandIdx == iCount )
-        {
-          return;
-        }
-        iCount ++;
-      }
-    }
-  }
-
-  //////////////////////////////////
-  //////// GET DISPARITIES  ////////
-  //////////////////////////////////
-
-  DisInfo cDisInfo = getDvInfo(uiAbsPartIdx);
-
-  for(Int i = 0; i < MRG_MAX_NUM_CANDS_MEM; i++)
-  {
-    inheritedVSPDisInfo[i].m_acDvInfo = cDisInfo;
-  }
-
-  /////////////////////////////////////////////////////////////////
-  //////// DERIVE IvMC, IvMCShift,IvDCShift, IvDC  Candidates /////
-  /////////////////////////////////////////////////////////////////
-
-  Int  posIvDC          = -1;
-  Bool bLeftAvai        = false;
-  Int  iPosLeftAbove[2] = {-1, -1};
-
-
-  // { IvMCL0, IvMCL1, IvDCL0, IvDCL1, IvMCL0Shift, IvMCL1Shift, IvDCL0Shift, IvDCL1Shift };  
-  // An enumerator would be appropriate here! 
-  TComMv ivCandMv    [8];
-  Int    ivCandRefIdx[8] = {-1, -1, -1, -1, -1, -1, -1, -1};
-
-  // { IvMC, IvDC, IvMCShift, IvDCShift };  
-  Int    ivCandDir   [4] = {0, 0, 0, 0};
-
-  Bool ivMvPredFlag   = getSlice()->getVPS()->getIvMvPredFlag( getSlice()->getLayerIdInVps() );
-  
-  if ( ivMvPredFlag )
-  {
-    getInterViewMergeCands(uiPUIdx, ivCandRefIdx, ivCandMv, &cDisInfo, ivCandDir 
-#if QC_DEPTH_IV_MRG_F0125
-    , bIsDepth
-#endif
-    );
-  }  
-  
-  ///////////////////////////////////////////////
-  //////// INTER VIEW MOTION COMP(IvMC) /////////
-  ///////////////////////////////////////////////
-
-  if( ivCandDir[0] )
-  {
-    abCandIsInter        [ iCount ] = true;
-    puhInterDirNeighbours[ iCount ] = ivCandDir[0];    
-
-    if( ( ivCandDir[0] & 1 ) == 1 )
-    {
-      pcMvFieldNeighbours[ iCount<<1    ].setMvField( ivCandMv[ 0 ], ivCandRefIdx[ 0 ] );
-    }
-    if( ( ivCandDir[0] & 2 ) == 2 )
-    {
-      pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( ivCandMv[ 1 ], ivCandRefIdx[ 1 ] );
-    }
-
-#if QC_DEPTH_IV_MRG_F0125
-    if ( bIsDepth )
-    {
-      Bool bRemoveSpa = false;
-      Int iCnloop = iCount-1;
-      for(; iCnloop >= 0; iCnloop --)
-      {
-        if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-        {
-          bRemoveSpa                      = true;
-          abCandIsInter        [ iCount ] = false;
-
-          puhInterDirNeighbours[iCount]   = 0;
-          pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-          pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-          break;
-        }
-      }
-      if(!bRemoveSpa)
-      {
-        bDepthIPMCAvai = true;
-      }
-    }
-    if ( bDepthIPMCAvai || !bIsDepth )
-    {
-#endif
-    if ( mrgCandIdx == iCount )
-    {
-      return;
-    }
-    iCount ++;
-#if QC_DEPTH_IV_MRG_F0125
-    }
-#endif
-  } 
-
-  // early termination
-  if (iCount == getSlice()->getMaxNumMergeCand()) 
-  {
-    return;
-  }
-#endif
-
-#if H_3D
-  ////////////////////////////
-  //////// LEFT (A1) /////////
-  ////////////////////////////
-#endif
+
   //left
   UInt uiLeftPartIdx = 0;
@@ -5759,58 +4877,4 @@
       pcCULeft->getMvField( pcCULeft, uiLeftPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_IV_MERGE 
-    Bool bRemoveSpa = false; //pruning to inter-view candidates
-#if QC_DEPTH_IV_MRG_F0125
-    Int  iCnloop = bDepthIPMCAvai ? (iCount-2): (iCount-1);
-#else
-    Int  iCnloop    = iCount - 1;
-#endif
-    for(; iCnloop >= 0; iCnloop --)
-    {
-      if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-      {
-        bRemoveSpa                      = true;
-        abCandIsInter        [ iCount ] = false;
-
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-        pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-        break;
-      }
-    }
-    if(!bRemoveSpa)
-    {
-      bLeftAvai = true;
-      iPosLeftAbove[0] = iCount;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-      if (pcCULeft->getVSPFlag(uiLeftPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-      {
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCULeft,uiLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
-      if ( mrgCandIdx == iCount )
-      {
-        return;
-      }
-      iCount ++;
-    }
-#else // H_3D_IV_MERGE 
     if ( mrgCandIdx == iCount )
     {
@@ -5818,5 +4882,4 @@
     }
     iCount ++;
-#endif // H_3D_IV_MERGE 
   }
   
@@ -5826,9 +4889,5 @@
     return;
   }
-#if H_3D
-  ////////////////////////////
-  //////// ABOVE (B1) ////////
-  ////////////////////////////
-#endif
+
   // above
   UInt uiAbovePartIdx = 0;
@@ -5850,77 +4909,5 @@
       pcCUAbove->getMvField( pcCUAbove, uiAbovePartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_IV_MERGE 
-    Bool bRemoveSpa = false; //pruning to inter-view candidates
-#if QC_DEPTH_IV_MRG_F0125
-    Int iCnloop;
-    if( bIsDepth )
-      iCnloop = (bLeftAvai && bDepthIPMCAvai) ? (iCount-3) : ((bLeftAvai || bDepthIPMCAvai)  ? (iCount-2): (iCount-1));
-    else
-      iCnloop = bLeftAvai? (iCount-2): (iCount-1);
-#else
-    Int  iCnloop    = bLeftAvai? (iCount-2): (iCount-1);
-#endif
-    for(; iCnloop >= 0; iCnloop --)
-    {
-      if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-      {
-        bRemoveSpa                      = true;
-        abCandIsInter        [ iCount ] = false;
-
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-
-        pcMvFieldNeighbours[iCount<<1]    .setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-        break;
-      }
-    }
-
-    if(!bRemoveSpa)
-    {
-      iPosLeftAbove[1] = iCount;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-      if ( ( ( getAddr() - pcCUAbove->getAddr() ) == 0) && (pcCUAbove->getVSPFlag(uiAbovePartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#else
-      if (pcCUAbove->getVSPFlag(uiAbovePartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#endif
-      {
-
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCUAbove,uiAbovePartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
-      if ( mrgCandIdx == iCount )
-      {
-        return;
-      }
-      iCount ++;
-    }
-#else // H_3D_IV_MERGE 
+
     if ( mrgCandIdx == iCount )
     {
@@ -5928,5 +4915,4 @@
     }
     iCount ++;
-#endif // H_3D_IV_MERGE 
   }
   // early termination
@@ -5936,9 +4922,4 @@
   }
 
-#if H_3D
-  //////////////////////////////////
-  //////// ABOVE RIGHT (B0) ////////
-  //////////////////////////////////
-#endif
 
   // above right
@@ -5960,39 +4941,4 @@
       pcCUAboveRight->getMvField( pcCUAboveRight, uiAboveRightPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_NBDV
-    pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-    pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-    if ( ( ( getAddr() - pcCUAboveRight->getAddr() ) == 0) && (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-#else
-    if (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-#endif
-    {
-      vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCUAboveRight,uiAboveRightPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-    }
-#endif
     if ( mrgCandIdx == iCount )
     {
@@ -6006,93 +4952,4 @@
     return;
   }
-
-#if H_3D_IV_MERGE 
-  /////////////////////////////////////////////
-  //////// INTER VIEW DISP COMP (IvDC) ////////
-  /////////////////////////////////////////////
-
-  if( ivCandDir[1] )
-  {
-    assert(iCount < getSlice()->getMaxNumMergeCand());
-    abCandIsInter        [ iCount ] = true;
-    puhInterDirNeighbours[ iCount ] = ivCandDir[1];
-    if( ( ivCandDir[1] & 1 ) == 1 )
-    {
-      pcMvFieldNeighbours[ iCount<<1    ].setMvField( ivCandMv[ 2 ], ivCandRefIdx[ 2 ] );
-    }
-    if( ( ivCandDir[1] & 2 ) == 2 )
-    {
-      pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( ivCandMv[ 3 ], ivCandRefIdx[ 3 ] );
-    }
-
-    Bool bRemoveSpa = false; //pruning to A1, B1
-    for(Int i = 0; i < 2; i ++)
-    {
-      Int iCnloop = iPosLeftAbove[i];
-      if ( iCnloop == -1 ) 
-      {
-        continue;
-      }
-      if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-      {
-        bRemoveSpa                      = true;
-        abCandIsInter        [ iCount ] = false;
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-        pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-        break;
-      }      
-    }
-    if(!bRemoveSpa)
-    {
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-      posIvDC  = iCount;
-      if ( mrgCandIdx == iCount )
-        return;
-      iCount ++;
-
-      // early termination
-      if (iCount == getSlice()->getMaxNumMergeCand()) 
-      {
-        return;
-      }
-    }
-  } 
-#endif // H_3D_IV_MERGE 
-
-#if H_3D_VSP
-  /////////////////////////////////////////////////
-  //////// VIEW SYNTHESIS PREDICTION (VSP) ////////
-  /////////////////////////////////////////////////
-
-  if (
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-      !bICFlag &&
-#endif
-#if H_3D_ARP
-      !bARPFlag &&
-#endif
-#endif
-      xAddVspCand( mrgCandIdx, &cDisInfo, iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag ) )
-  {
-    return;
-  }
-
-  // early termination
-  if (iCount == getSlice()->getMaxNumMergeCand())
-  {
-    return;
-  }
-#endif
-#if H_3D
-  ///////////////////////////////////
-  //////// LEFT BOTTOM (A0) ////////
-  ///////////////////////////////////
-#endif
 
   //left bottom
@@ -6114,26 +4971,5 @@
       pcCULeftBottom->getMvField( pcCULeftBottom, uiLeftBottomPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_NBDV
-    pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-    pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-    if (pcCULeftBottom->getVSPFlag(uiLeftBottomPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-    {
-      vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCULeftBottom,uiLeftBottomPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-    }
-#endif
+
     if ( mrgCandIdx == iCount )
     {
@@ -6147,9 +4983,4 @@
     return;
   }
-#if H_3D
-  ///////////////////////////////////
-  //////// LEFT ABOVE (B2) ////////
-  ///////////////////////////////////
-#endif
 
   // above left 
@@ -6174,39 +5005,4 @@
         pcCUAboveLeft->getMvField( pcCUAboveLeft, uiAboveLeftPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
       }
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-      if ( ( ( getAddr() - pcCUAboveLeft->getAddr() ) == 0) && (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#else
-      if (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-          && !bICFlag
-#endif
-#if H_3D_ARP
-          && !bARPFlag
-#endif
-#endif
-          )
-#endif
-      {
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCUAboveLeft,uiAboveLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
       if ( mrgCandIdx == iCount )
       {
@@ -6221,27 +5017,5 @@
     return;
   }
-#if H_3D_IV_MERGE
-  ////////////////////////////////////////////////////
-  //////// SHIFTED IV (IvMCShift + IvDCShift) ////////
-  ////////////////////////////////////////////////////
-
-  if(  ivMvPredFlag  ) 
-  {
-    if(xAddIvMRGCand( mrgCandIdx,  iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, ivCandDir, ivCandMv, ivCandRefIdx, posIvDC, vspFlag))
-    {
-      return;
-    }
-    //early termination
-    if (iCount == getSlice()->getMaxNumMergeCand()) 
-    {
-      return;
-    }
-  }
-#endif
-#if H_3D
-  /////////////////////////////////
-  //////// Collocate (COL) ////////
-  /////////////////////////////////
-#endif
+
   if ( getSlice()->getEnableTMVPFlag())
   {
@@ -6308,7 +5082,4 @@
     if ( getSlice()->isInterB() )
     {
-#if H_3D_TMVP
-      iRefIdx = 0;
-#endif
       bExistMV = uiLCUIdx >= 0 && xGetColMVP( REF_PIC_LIST_1, uiLCUIdx, uiAbsPartAddr, cColMv, iRefIdx);
       if( bExistMV == false )
@@ -6327,8 +5098,4 @@
       puhInterDirNeighbours[uiArrayAddr] = dir;
       abCandIsInter[uiArrayAddr] = true;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
       if ( mrgCandIdx == iCount )
       {
@@ -6348,31 +5115,11 @@
   if ( getSlice()->isInterB())
   {
-#if H_3D_IV_MERGE
-    UInt uiPriorityList0[20] = {0 , 1, 0, 2, 1, 2, 0, 3, 1, 3, 2, 3,    0, 4, 1, 4, 2, 4, 3, 4 };
-    UInt uiPriorityList1[20] = {1 , 0, 2, 0, 2, 1, 3, 0, 3, 1, 3, 2,    4, 0, 4, 1, 4, 2, 4, 3 };
-#else
     UInt uiPriorityList0[12] = {0 , 1, 0, 2, 1, 2, 0, 3, 1, 3, 2, 3};
     UInt uiPriorityList1[12] = {1 , 0, 2, 0, 2, 1, 3, 0, 3, 1, 3, 2};
-#endif
 
     for (Int idx=0; idx<uiCutoff*(uiCutoff-1) && uiArrayAddr!= getSlice()->getMaxNumMergeCand(); idx++)
     {
       Int i = uiPriorityList0[idx]; Int j = uiPriorityList1[idx];
-#if H_3D_VSP
-      Bool bValid = true;
-      if ( vspFlag[i] == 1 || vspFlag[j] == 1 )
-      {
-        bValid = false;
-      }
-      if( !m_pcSlice->getVPS()->getViewSynthesisPredFlag( m_pcSlice->getLayerIdInVps() ) )
-      {
-        assert(bValid == true);
-      }
-#endif
-#if H_3D_VSP
-      if (abCandIsInter[i] && abCandIsInter[j] && (puhInterDirNeighbours[i]&0x1) && (puhInterDirNeighbours[j]&0x2) && bValid)
-#else
       if (abCandIsInter[i] && abCandIsInter[j]&& (puhInterDirNeighbours[i]&0x1)&&(puhInterDirNeighbours[j]&0x2))
-#endif
       {
         abCandIsInter[uiArrayAddr] = true;
@@ -6429,6 +5176,4 @@
   numValidMergeCand = uiArrayAddr;
 }
-
-
 #endif
 
@@ -6770,5 +5515,5 @@
 }
 
-#if LGE_IC_CTX_F0160
+#if H_3D_IC
 Bool TComDataCU::isIC( UInt uiPartIdx )
 {
